# napari-labels

A plugin for flexible and intuitive color management of label layers in Napari, designed to enhance the visual clarity and control of your labeled data.
Assign custom colors to individual classes using a color picker or RGB input, adjust per-class opacity, and apply colormaps to visually distinguish between labels with ease.

## Installation

You can install `napari-labels` via [pip]:

```
pip install napari-labels
```

## Seaborn Color palettes

You can use all color palette names which are valid for `seaborn.color_palette()`.
An overview can be found here:

- https://r02b.github.io/seaborn_palettes/
- https://www.practicalpythonfordatascience.com/ap_seaborn_palette

## License

Distributed under the terms of the [Apache Software License 2.0] license,
"napari-labels" is free and open source software

## Acknowledgments

<p align="left">
  <img src="https://github.com/MIC-DKFZ/napari-labels/raw/main/imgs/Logos/HI_Logo.png" width="150"> &nbsp;&nbsp;&nbsp;&nbsp;
  <img src="https://github.com/MIC-DKFZ/napari-labels/raw/main/imgs/Logos/DKFZ_Logo.png" width="500">
</p>

This repository is developed and maintained by the Applied Computer Vision Lab (ACVL)
of [Helmholtz Imaging](https://www.helmholtz-imaging.de/) and the
[Division of Medical Image Computing](https://www.dkfz.de/en/medical-image-computing) at DKFZ.

This [napari] plugin was generated with [copier] using the [napari-plugin-template].

[apache software license 2.0]: http://www.apache.org/licenses/LICENSE-2.0
[copier]: https://copier.readthedocs.io/en/stable/
[napari]: https://github.com/napari/napari
[napari-plugin-template]: https://github.com/napari/napari-plugin-template
[pip]: https://pypi.org/project/pip/
